{ lib, python3Packages }:

python3Packages.buildPythonApplication rec {
  pname = "matrix-registration";
  version = "0.7.0";

  src = python3Packages.fetchPypi {
    inherit pname version;
    sha256 = "035w8gaqla6zlan0xjrzz9j4lh9hs0qrsgnbyw07qs7lnkvbdv9x";
  };

  propagatedBuildInputs = with python3Packages; [
    appdirs
    Flask
    Flask-SQLAlchemy
    flask-cors
    flask-httpauth
    flask-limiter
    python-dateutil
    PyYAML
    requests
    waitress
    WTForms
  ];

  meta = with lib; {
    description = "Token based matrix registration api";
    homepage    = "https://github.com/ZerataX/matrix-registration";
    license     = with licenses; mit;
  };
}
